Skip to main content
POST
/
api
/
dataproducts
/
v1
/
definition
SetDefinition
curl --request POST \
  --url https://developer.synq.io/api/dataproducts/v1/definition \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "productIdentifier": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "definition": {
    "parts": [
      {
        "identifier": {
          "airflowDag": {
            "integrationId": "<string>",
            "dagId": "<string>"
          }
        },
        "id": "<string>"
      }
    ]
  }
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
productIdentifier
DataproductIdentifier · object
definition
DataproductDefinition · object

Response

200 - application/json

Success

The response is of type SetDefinitionResponse · object.